import BotFloatButton from './src/components/BotFloatButton'
import CustomForm from './src/components/Form'
import DragIcon from './src/components/DragIcon'
import CustomList from './src/components/List'
import CustomListItem from './src/components/ListItem'
import NoData from './src/components/NoData'

import Tools from './src/utils/tool'
import _Vue from 'vue'

const components = [
    BotFloatButton,
    DragIcon,
    CustomForm,
    CustomList,
    CustomListItem,
    NoData,
]

const install = function(Vue){
    if (!Vue) {
        window.Vue = Vue = _Vue
    }
    components.forEach(component => {
        Vue.component(component.name, component);
    });
}

const setDictLoader = function(dictLoad){
    Tools.dictLoad = dictLoad
}

export default {
    version: '1.0.0',
    BotFloatButton,
    DragIcon,
    CustomForm,
    CustomList,
    CustomListItem,
    NoData,
    
    install,
    setDictLoader
} 